Bug 585109 - No fax queue set up for network OfficeJet printer
No fax queue set up for network OfficeJet printer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 03:00 EDT by Peter Fuchs
Modified: 2012-08-16 17:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Please find attached the requested yum history information. (16.88 KB, application/zip)
2010-04-23 09:56 EDT, Peter Fuchs
no flags Details
requested debug output from system-config-printer (6.00 KB, text/plain)
2010-04-24 16:50 EDT, Peter Fuchs
no flags Details
Requested debug information (119.39 KB, text/plain)
2010-04-24 17:05 EDT, Peter Fuchs
no flags Details
Requested debug information (1.08 KB, text/plain)
2010-04-24 17:05 EDT, Peter Fuchs
no flags Details

  None (edit)
Description Peter Fuchs 2010-04-23 03:00:25 EDT
Description of problem:
After receiving some update packages from the fedora repository some weeks ago (sorry, do not know the exact point of time and what packages were updated) it was first not possible anymore to print.
After trying to reconfigure the printer using hp-setup, even this fails with the error message "

Version-Release number of selected component (if applicable):
Currently installed:
hplip-3.10.2-4.fc12.x86_64
cups-1.4.2-28.fc12.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. Update to current F12 packages (x86_64)
2. Run hp-setup, click through all screens and hit "Add Printer" button
3.
  
Actual results:
Ouput from hp-setup:
---< snip >---
HP Linux Imaging and Printing System (ver. 3.10.2)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Found device: hp:/net/Officejet_Pro_L7600?ip=192.158.13.101
/error:  Printer queue setup failed.  Please restart CUPS and try again.
error:  Fax queue setup failed.  Please restart CUPS and try again.

Done.
Segmentation fault (core dumped)
---< snip >---

I have to set up the print queue the "standard" way using 'system-config-printer'. However, this does not set up my scanner and fax.
This bug/incompatibility is really annoying as the printer/scanner/fax usage with F12 was smoother than even with Window$. Everything was set up and configured perfectly for my needs.

Expected results:
Should work as before bug occured. hp-setup should run without problems and set up all queues/configurations as expected.

Additional info:
- Tested on two systems, both installed (not updated) with Fedora 12 x86_64
  -> Dell Latitude E6500
  -> Standard PC
- Printer is a HP OfficeJet Pro L7680 which is accessed via LAN

There are some bugs that seem to be related to this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=584492
https://bugzilla.redhat.com/show_bug.cgi?id=584818 (dup)
Comment 1 Tim Waugh 2010-04-23 05:30:28 EDT
(In reply to comment #0)
> Description of problem:
> After receiving some update packages from the fedora repository some weeks ago
> (sorry, do not know the exact point of time and what packages were updated) it
> was first not possible anymore to print.

Can you can use "yum history list" and "yum history info $ID" to find out?  I very much expect it was the first update to hplip-3.10.2 that caused printing to stop.  This (being able to print to hpcups queues) should already be fixed in hplip-3.10.2-4.fc12.

> I have to set up the print queue the "standard" way using
> 'system-config-printer'. However, this does not set up my scanner and fax.
> This bug/incompatibility is really annoying as the printer/scanner/fax usage
> with F12 was smoother than even with Window$. Everything was set up and
> configured perfectly for my needs.

It is meant to be able to set up fax queues for HPLIP, so something's wrong there.

> There are some bugs that seem to be related to this bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=584492

Yes.  For the hp-setup crash, please follow bug #584492.

I'm going to treat *this* bug report as: system-config-printer does not set up fax queues.

I need some more information from you:

1. Please follow these instructions for gathering debugging information about your system, and attach the troubleshoot.txt that you get:
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter

2. Please show me the output of this command:
hp-makeuri -f 192.158.13.101
Comment 2 Peter Fuchs 2010-04-23 09:56:33 EDT
Created attachment 408612 [details]
Please find attached the requested yum history information.
Comment 3 Peter Fuchs 2010-04-23 09:58:41 EDT
Output for 2.:
---< snip >---
[peter@samoa ~]$ hp-makeuri -f 192.158.13.101
hpfax:/net/Officejet_Pro_L7600?ip=192.158.13.101
---< snip >---
Comment 4 Peter Fuchs 2010-04-23 10:51:54 EDT
reg. 1.: What information exactly do you need?
Comment 5 Peter Fuchs 2010-04-23 10:54:47 EDT
As I am not very experienced with printer setup I am not sure what you are aiming for.
In my opinion the primary goal - from my end user point of view - should be to have 'hp-setup' running again as it did before as this was the easiest and most comfortable way of printing/faxing/scanning.
Comment 6 Tim Waugh 2010-04-23 11:01:20 EDT
(In reply to comment #4)
> reg. 1.: What information exactly do you need?    

I need you to follow the instructions here and attach the troubleshoot.txt file you end up with:
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter

(In reply to comment #5)
> In my opinion the primary goal - from my end user point of view - should be to
> have 'hp-setup' running again as it did before as this was the easiest and most
> comfortable way of printing/faxing/scanning.    

That's great for users with HP printers.  The system-config-printer utility has a wider-reaching goal, of working for all users.

As I mentioned, I know that hp-setup is not working correctly at the moment, and this is being tracked in a separate bug report.

*This* bug report, however, is following up on your comment that system-config-printer does not create fax queues.  It is intended to create fax queues, so if that is not working for you I'd like to understand why that is.

I would very much appreciate seeing the output.txt generated by this command as you create a new queue for your network printer:

system-config-printer --debug &>output.txt
Comment 7 Peter Fuchs 2010-04-24 16:50:28 EDT
Created attachment 408884 [details]
requested debug output from system-config-printer
Comment 8 Peter Fuchs 2010-04-24 17:05:11 EDT
Created attachment 408887 [details]
Requested debug information

Please find attached requested debug information with printer set up using "system-config-printer" before (incl. printing test page).
Comment 9 Peter Fuchs 2010-04-24 17:05:53 EDT
Created attachment 408888 [details]
Requested debug information

Please find attached requested debug information with printer NOT set up before test.
Comment 10 Peter Fuchs 2010-05-02 05:34:55 EDT
Anything else I can provide?
Comment 11 Bug Zapper 2010-11-03 12:31:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2012-08-16 17:14:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.